{
  # Define a user account. Don't forget to set a password with ‘passwd’.
  users.users.freecorn = {
    description = "FreeCorn";
    isNormalUser = true;
    openssh.authorizedKeys.keys = [
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAINoElXZvPDrpHQuTP9MtIgYXq1DA1F4IL2MIVdse48Nr techx18@freecornpc"
    ];
    extraGroups = [ 
      "networkmanager"
      "wheel"
      "video"
      "scanner"
      "lp"
      "plugdev"
      "nginx"
      "nfsShare"
    ];
  };

  # Define home manager programs and configs
  home-manager = {
    useGlobalPkgs = true;
    useUserPackages = true;
    users.freecorn = { config, pkgs, ... }: {
      # Install user programs
      home.packages = (with pkgs; [
        rustdesk-flutter anydesk vlc
      ]);

      # OBS with plugins
      programs.obs-studio = {
        enable = true;
        plugins = with pkgs.obs-studio-plugins; [
          advanced-scene-switcher obs-multi-rtmp
        ];
      };

      # Don't change this
      home.stateVersion = "24.05";
    };
  };
}
